summaryrefslogtreecommitdiff
path: root/sys-boot/etcher
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-03-10 19:51:00 +0000
committerV3n3RiX <venerix@redcorelinux.org>2018-03-10 19:51:00 +0000
commit58d51e63c7dcef05710f10b41a949d641cf04916 (patch)
tree271d62a603a3b35b642115871f010e15d0b32fa7 /sys-boot/etcher
parent47f74d404657f413377d9c6fc3b2588456d530f2 (diff)
sys-boot/etcher : new package (replace buggy isowriter)
Diffstat (limited to 'sys-boot/etcher')
-rw-r--r--sys-boot/etcher/Manifest1
-rw-r--r--sys-boot/etcher/etcher-1.3.1.ebuild40
2 files changed, 41 insertions, 0 deletions
diff --git a/sys-boot/etcher/Manifest b/sys-boot/etcher/Manifest
new file mode 100644
index 00000000..98fef30a
--- /dev/null
+++ b/sys-boot/etcher/Manifest
@@ -0,0 +1 @@
+DIST etcher-electron_1.3.1_amd64.deb 50829660 SHA256 366a083b6009ae75830fd920a947812ab9c7ec3a2039dc1b8524d28640b8179d SHA512 0873b362188253bb09a8e1588e99afd385b84abcc236d7c1d247591004c79b79539bb16bfbc2647e9500a7d61215efd50b67343e711dbdc8808d09de87cab420 WHIRLPOOL a72610ff6001741a3663bd07db29c99095fb88140796cfa74ba7106b6ffa473f3933cb8a8bb77e1b653a877ed5918f6e9fe46bacaa4aac101fb14d88a778f387
diff --git a/sys-boot/etcher/etcher-1.3.1.ebuild b/sys-boot/etcher/etcher-1.3.1.ebuild
new file mode 100644
index 00000000..06925b05
--- /dev/null
+++ b/sys-boot/etcher/etcher-1.3.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils unpacker
+
+DESCRIPTION="Flash OS images to SD cards & USB drives, safely and easily."
+HOMEPAGE="https://etcher.io/"
+SRC_URI="https://github.com/resin-io/${PN}/releases/download/v${PV}/${PN}-electron_${PV}_amd64.deb"
+
+LICENSE="GPL2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+DEPEND="dev-libs/nss
+ gnome-base/gconf
+ media-libs/alsa-lib
+ sys-apps/lsb-release
+ x11-libs/gtk+:2
+ x11-libs/libXtst
+ x11-libs/libnotify"
+RDEPEND="${DEPEND}"
+
+RESTRICT="mirror"
+
+S="${WORKDIR}"
+
+src_unpack() {
+ unpack_deb ${A}
+}
+
+src_install() {
+ mv * "${D}" || die
+ sed -i "s/Icon=etcher-electron/Icon=icon-iw/g" "${D}"usr/share/applications/"${PN}"-electron.desktop
+ sed -i "s/Utility/System/g" "${D}"usr/share/applications/"${PN}"-electron.desktop
+ fperms 0755 /opt/Etcher/"${PN}"-electron || die
+}